commit f745d1274c6c61c892e3682ee55a463ff99db9b3
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 14 02:26:58 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index c2c159ddaf9..bf0b49d5ca9 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,21 @@
+2025-08-13  Richard Sandiford  <richard.sandiford@arm.com>
+
+	Backported from master:
+	2025-07-17  Richard Sandiford  <richard.sandiford@arm.com>
+		    Yury Khrustalev  <yury.khrustalev@arm.com>
+
+	* doc/sourcebuild.texi (aarch64_sme_hw): Document.
+
+2025-08-13  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-08-13  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/120476
+	* config/loongarch/loongarch.cc
+	(loongarch_compute_pressure_classes): New function.
+	(TARGET_COMPUTE_PRESSURE_CLASSES): Define.
+
 2025-08-12  mengqinggang  <mengqinggang@loongson.cn>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index a3fdc4544bf..01b99e41aaa 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250813
+20250814
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 61c31efc9ec..1d6918b881b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,22 @@
+2025-08-13  Richard Sandiford  <richard.sandiford@arm.com>
+
+	Backported from master:
+	2025-07-17  Richard Sandiford  <richard.sandiford@arm.com>
+		    Yury Khrustalev  <yury.khrustalev@arm.com>
+
+	* lib/target-supports.exp (add_options_for_aarch64_sme)
+	(check_effective_target_aarch64_sme_hw): New procedures.
+	* g++.target/aarch64/sme/sme_throw_1.C: New test.
+	* g++.target/aarch64/sme/sme_throw_2.C: Likewise.
+
+2025-08-13  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backported from master:
+	2025-08-06  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	PR libfortran/121234
+	* gfortran.dg/pr121234.f90: New test.
+
 2025-08-11  Alexandre Oliva  <oliva@adacore.com>
 
 	Backported from master:
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 808a76e1f43..7055fb9e9b3 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-08-13  Richard Sandiford  <richard.sandiford@arm.com>
+
+	Backported from master:
+	2025-07-17  Richard Sandiford  <richard.sandiford@arm.com>
+		    Yury Khrustalev  <yury.khrustalev@arm.com>
+
+	* config/aarch64/linux-unwind.h (aarch64_fallback_frame_state):
+	If a signal was raised while there was an uncommitted lazy save,
+	commit the save as part of the unwind process.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.
diff --git a/libgfortran/ChangeLog b/libgfortran/ChangeLog
index 5bebc960b30..d7f85c3c670 100644
--- a/libgfortran/ChangeLog
+++ b/libgfortran/ChangeLog
@@ -1,3 +1,13 @@
+2025-08-13  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	Backported from master:
+	2025-08-06  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
+
+	PR libfortran/121234
+	* io/list_read.c (read_character): Add checks to bypass eating
+	semicolons when reading strings with decimal mode 'point'
+	(list_formatted_read_scalar): Likewise.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.

